- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.slaDefinitions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.slaDefinitions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.slaDefinitions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.slaDefinitions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.slaDefinitions/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.slaDefinitions/list#body.ListSlaDefinitionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.slaDefinitions/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.slaDefinitions/list#body.aspect_1)

**Full name**: projects.locations.instances.slaDefinitions.list

Lists all SlaDefinitions. Use this method to browse all configured service level commitments within the instance. Supports filtering by SLA type and associated environments.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/slaDefinitions`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list SlaDefinitions for. Format: projects/{project}/locations/{location}/instances/{instance}/slaDefinitions |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of SlaDefinitions to return. The service may return fewer than this value. If unspecified, at most 50 SlaDefinitions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `slaDefinitions.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListBooks` must match the call that provided the page token. |
| `filter` | `string` Optional. A filter to apply to the list of SlaDefinitions. Supported filter fields: \* `slaType`: Filter by the sla type. \* `alertType`: Filter by the alert type. \* `slaTypeValue`: Filter by the sla type value. \* `sla_durationperiod`: Filter by the sla duration period. \* `slaPeriodTimeUnit`: Filter by the sla period time unit. \* `criticalSlaPeriod`: Filter by the critical sla period. \* `criticalSlaPeriodTimeUnit`: Filter by the critical sla period time unit. \* `environments`: Filter by the environments. Example: `filter="slaType='ALL_ALERTS'"` |
| `orderBy` | `string` Optional. Configures ordering of SlaDefinitions in the response. If not specified, SlaDefinitions are returned in descending order of their create time. The default ordering is by create time in descending order. The orderBy string is a comma separated list of fields. Supported sort fields: \* `slaType` \* `alertType` \* `slaTypeValue` \* `sla_durationperiod` \* `slaPeriodTimeUnit` \* `criticalSlaPeriod` \* `criticalSlaPeriodTimeUnit` \* `environments` Example: "slaType desc, alertType" |

### Request body

The request body must be empty.

### Response body

Response message for slaDefinitions.list.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "slaDefinitions": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.slaDefinitions#SlaDefinition`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `slaDefinitions[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.slaDefinitions#SlaDefinition`)`` The list of SlaDefinitions. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` Total count of SlaDefinitions. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.slaDefinitions.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).